aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2016-08-05 21:01:53 +0200
committerGravatar Jorge Canizales <jcanizales@google.com>2016-08-05 19:42:32 -0700
commit0275d8c65b7bd509b76cc46b2314078dd785c6e7 (patch)
tree1456efea0f0a0db7515bdd4567e2e269b912c7d2 /tools
parent6fd8a7fa03215dcb99c8f042fb393552a077ea2b (diff)
Reducing diff.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/dockerfile/interoptest/grpc_interop_go/build_interop.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/tools/dockerfile/interoptest/grpc_interop_go/build_interop.sh b/tools/dockerfile/interoptest/grpc_interop_go/build_interop.sh
index 7110aaf9e5..1fd088322c 100755
--- a/tools/dockerfile/interoptest/grpc_interop_go/build_interop.sh
+++ b/tools/dockerfile/interoptest/grpc_interop_go/build_interop.sh
@@ -31,12 +31,14 @@
# Builds Go interop server and client in a base image.
set -e
-
# Clone just the grpc-go source code without any dependencies.
# We are cloning from a local git repo that contains the right revision
# to test instead of using "go get" to download from Github directly.
git clone --recursive /var/local/jenkins/grpc-go src/google.golang.org/grpc
+# copy service account keys if available
+cp -r /var/local/jenkins/service_account $HOME || true
+
# Get dependencies from GitHub
# NOTE: once grpc-go dependencies change, this needs to be updated manually
# but we don't expect this to happen any time soon.
@@ -47,9 +49,6 @@ go get golang.org/x/oauth2
go get golang.org/x/oauth2/google
go get google.golang.org/cloud
-# copy service account keys if available
-cp -r /var/local/jenkins/service_account $HOME || true
-
# Build the interop client and server
(cd src/google.golang.org/grpc/interop/client && go install)
(cd src/google.golang.org/grpc/interop/server && go install)